
import { AxiosPromise } from "axios";
import request from "../request";

const wx = {
    //查询微信提现列表
     studentWxExtractlist(params:{
        pageNum:number
        pageSize:number
     }):AxiosPromise<wx.wxExtractList>{
        return request({
            url:"student/wx/extract/list",
            method:'get',
            params
        })


    },
    //微信提现
    studentWxExtractWithdraw(params:{
        amount:number

    }):AxiosPromise<wx.response>{
        return request({
            url:"student/wx/extract/withdraw",
            method:'post',
            params
        })

    },
    //银行卡提现
    studentWxExtractWxwithbankdrawal(data:{
        amount:number,
        bankCode:number,
        encBankNo:string,
        encTrueName:string
    }):AxiosPromise<wx.response>{
        return request({
            url:"student/wx/extract/wxwithbankdrawal",
            method:'post',
            data
        })

    },
    //银行卡列表
    studentWxBankList(params:{
        pageNum:number,
        pageSize:number
    }):AxiosPromise<wx.wxBankList>{
        return request({
            url:"student/wx/bank/list",
            method:'GET',
            params

        })

    }

    
}
export default wx